package com.ruoyi.mall.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商城相关设置对象 mall_config
 *
 * @author ruoyi
 * @date 2024-03-26
 */
public class MallConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 商城相关设置主键ID */
    private Long id;

    /** 设置标识 */
    @Excel(name = "设置标识")
    private String identifying;

    /** 设置名称 */
    @Excel(name = "设置名称")
    private String name;

    /** 设置解释 */
    @Excel(name = "设置解释")
    private String configExplain;

    /** 设置内容（int类型） */
    @Excel(name = "设置内容", readConverterExp = "i=nt类型")
    private Integer configInt;

    /** 设置内容2（int类型） */
    @Excel(name = "设置内容2", readConverterExp = "i=nt类型")
    private Integer configTwo;

    /** 设置内容3（int类型） */
    @Excel(name = "设置内容3", readConverterExp = "i=nt类型")
    private Integer configThree;

    /** 设置内容（字符类型） */
    @Excel(name = "设置内容", readConverterExp = "字=符类型")
    private String configString;

    /** 设置类型：0-int，1-string */
    @Excel(name = "设置类型：0-int，1-string")
    private Integer type;

    /** 状态：0-启用 ，1-停用 */
    @Excel(name = "状态：0-启用 ，1-停用")
    private Integer status;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private Integer delFlag;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setIdentifying(String identifying)
    {
        this.identifying = identifying;
    }

    public String getIdentifying()
    {
        return identifying;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setConfigExplain(String configExplain)
    {
        this.configExplain = configExplain;
    }

    public String getConfigExplain()
    {
        return configExplain;
    }
    public void setConfigInt(Integer configInt)
    {
        this.configInt = configInt;
    }

    public Integer getConfigInt()
    {
        return configInt;
    }
    public void setConfigTwo(Integer configTwo)
    {
        this.configTwo = configTwo;
    }

    public Integer getConfigTwo()
    {
        return configTwo;
    }
    public void setConfigThree(Integer configThree)
    {
        this.configThree = configThree;
    }

    public Integer getConfigThree()
    {
        return configThree;
    }
    public void setConfigString(String configString)
    {
        this.configString = configString;
    }

    public String getConfigString()
    {
        return configString;
    }
    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType()
    {
        return type;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("identifying", getIdentifying())
            .append("name", getName())
            .append("configExplain", getConfigExplain())
            .append("configInt", getConfigInt())
            .append("configTwo", getConfigTwo())
            .append("configThree", getConfigThree())
            .append("configString", getConfigString())
            .append("type", getType())
            .append("status", getStatus())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
